Getting APIError: HTTP code 500 for "stream" interface

In the LangChain Expression Language (LCEL) module Jupyter notebook, the code using the “stream” interface towards the end of the notebook is generating a 500 error. Seems like some sort of mismatch between LangChain and the OpenAI api.

Can someone look at this?

I’m having the same problem running .stream on the deeplearning.ai platform, but it works fine when I do it locally. I think it’s because of the langchain version on deeplearning.ai, which is 0.0.312. My local setup is using version 0.0.340.